Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 362503 (CVE-2011-1574) - <media-libs/libmodplug-0.8.8.2: Stack Overflow with Malicious S3M Files (CVE-2011-1574)
Summary: <media-libs/libmodplug-0.8.8.2: Stack Overflow with Malicious S3M Files (CVE-...
Status: RESOLVED FIXED
Alias: CVE-2011-1574
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.sec-consult.com/files/201...
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-07 19:18 UTC by Tim Sammut (RETIRED)
Modified: 2012-03-16 12:18 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Sammut (RETIRED) gentoo-dev 2011-04-07 19:18:15 UTC
From the third party advisory at $URL:

Vulnerability overview/description:
-----------------------------------

Libmodplug library is prone to a stack based buffer overflow
vulnerability due to insufficient validation of user supplied data. An
attacker is able to execute arbitrary code in the context of the user
when opening malicious S3M media files.

@sound, =media-libs/libmodplug-0.8.8.2 is reported as fixed, and is already in the tree. Is it ok to stabilize? Thank you.
Comment 1 Alexis Ballier gentoo-dev 2011-04-08 11:22:35 UTC
yep its ok for me
Comment 2 Agostino Sarubbo gentoo-dev 2011-04-08 11:34:18 UTC
arches, please test and mark stable:

=media-libs/libmodplug-0.8.8.2
Target keywords : "alpha amd64 arm hppa ia64 ppc ppc64 sh sparc x86"
Comment 3 Agostino Sarubbo gentoo-dev 2011-04-08 12:30:08 UTC
amd64 works.
Comment 4 Thomas Kahle (RETIRED) gentoo-dev 2011-04-08 20:39:28 UTC
x86 stable. Thanks.
Comment 5 Markus Meier gentoo-dev 2011-04-09 12:24:46 UTC
arm stable
Comment 6 Christoph Mende (RETIRED) gentoo-dev 2011-04-09 21:32:50 UTC
amd64 stable
Comment 7 Tobias Klausmann gentoo-dev 2011-04-10 12:00:53 UTC
Stable on alpha.
Comment 8 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-04-11 17:46:52 UTC
ia64/ppc/ppc64 stable
Comment 9 Jeroen Roovers gentoo-dev 2011-04-13 04:13:45 UTC
Stable for HPPA.
Comment 10 Raúl Porcel (RETIRED) gentoo-dev 2011-04-16 15:50:57 UTC
sh/sparc stable
Comment 11 Tim Sammut (RETIRED) gentoo-dev 2011-04-16 18:58:27 UTC
Thanks, folks. GLSA request filed.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2011-06-24 00:24:24 UTC
CVE-2011-1574 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-1574):
  Stack-based buffer overflow in the ReadS3M method in load_s3m.cpp in
  libmodplug before 0.8.8.2 allows remote attackers to execute arbitrary code
  via a crafted S3M file.
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2012-03-16 12:18:14 UTC
This issue was resolved and addressed in
 GLSA 201203-16 at http://security.gentoo.org/glsa/glsa-201203-16.xml
by GLSA coordinator Sean Amoss (ackle).